﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="WebDataGrid_DragAndDropRows_test_Default" %>

<%@ Register Assembly="Infragistics35.Web.v9.1, Version=9.1.20091.1015, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
    .hide {display:none;}
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <input type="hidden" id="personId" value="2" runat="server" />
    <asp:ScriptManager ID="sm" EnablePartialRendering="true" runat="server">
        <Scripts>
			<asp:ScriptReference 
			    Assembly="Infragistics35.Web.v9.1, Version=9.1.20091.1015, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" 
			    Name="Infragistics.Web.UI.SharedScripts.igDragDrop.js" />
		</Scripts>
    </asp:ScriptManager>
            
    <asp:UpdatePanel runat="server">
        <ContentTemplate>

            <ig:WebDataGrid ID="wdgSource" runat="server" AutoGenerateColumns="False">
                <Columns>
                    <ig:TemplateDataField Key="Id">
                        <ItemTemplate>
                            <a href="javascript:void(0);" id="source-<%# Eval("Id") %>">drag</a>
                        </ItemTemplate>
                    </ig:TemplateDataField>
                    <ig:BoundDataField Header-Text="First Name" DataFieldName="FirstName" Key="FirstName" />
                    <ig:BoundDataField Header-Text="Last Name" DataFieldName="LastName" Key="LastName" />
                </Columns>
            </ig:WebDataGrid>
            
            <div id="dropDestination">
                <ig:WebDataGrid ID="wdgDestination" runat="server" AutoGenerateColumns="False">
                    <Columns>
                        <ig:BoundDataField Header-Text="First Name" Key="FirstName" DataFieldName="FirstName" />
                        <ig:BoundDataField Header-Text="Last Name" DataFieldName="LastName" Key="LastName" />
                    </Columns>
                </ig:WebDataGrid>
            </div>
            
            <asp:LinkButton ID="person" runat="server" CssClass="hide" onclick="person_Drag" />
            
        </ContentTemplate>
    </asp:UpdatePanel>
    
    </form>

</body>
<script type="text/javascript">
    var _dd;

    Sys.Application.add_load(app_loaded);

    function app_loaded() {
        _dd = new $IG.DragDropBehavior();
        _dd.get_events().addDropHandler(drop);

        var ids = "<%= IDList %>".split(",");
        for (var i = 0; i < ids.length; i++) {
            var item = $get("source-" + ids[i]);
            if (item != null) {
                _dd.addSourceElement(item, true);
            }
        }
        _dd.addTargetElement($get("dropDestination"), true);
    }

    function drop(sender, eventArgs) {
        var source = eventArgs.get_manager().get_source().element;
        var id = source.id.split("-")[1];
        $get("<%= personId.ClientID %>").value = id;
        __doPostBack("person", "");
    }
    
    </script>
</html>